- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP5VariableLengthGroup Class Reference

`#include <WP5VariableLengthGroup.h>`

Inheritance diagram for WP5VariableLengthGroup:

## Public Member Functions
| WP5VariableLengthGroup ()
virtual | ~WP5VariableLengthGroup ()
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()
virtual void | parse (WP5Listener *listener)=0

## Static Public Member Functions
static WP5VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Protected Member Functions
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Private Attributes
unsigned char | m_subGroup
unsigned short | m_size

## Constructor & Destructor Documentation

WP5VariableLengthGroup::WP5VariableLengthGroup | ( |  | ) |

virtual WP5VariableLengthGroup::~WP5VariableLengthGroup | ( |  | ) |
| inline virtual

## Member Function Documentation

void WP5VariableLengthGroup::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protected

Referenced by WP5BoxGroup::WP5BoxGroup(), WP5DefinitionGroup::WP5DefinitionGroup(), WP5FontGroup::WP5FontGroup(), WP5FootnoteEndnoteGroup::WP5FootnoteEndnoteGroup(), WP5HeaderFooterGroup::WP5HeaderFooterGroup(), WP5PageFormatGroup::WP5PageFormatGroup(), WP5TableEOLGroup::WP5TableEOLGroup(), WP5TableEOPGroup::WP5TableEOPGroup(), and WP5UnsupportedVariableLengthGroup::WP5UnsupportedVariableLengthGroup().

virtual void WP5VariableLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | ,
|  | WPXEncryption * |
| ) |  |
| inline protected virtual

Reimplemented in WP5DefinitionGroup, WP5BoxGroup, WP5FootnoteEndnoteGroup, WP5PageFormatGroup, WP5FontGroup, WP5HeaderFooterGroup, WP5TableEOLGroup, and WP5TableEOPGroup.

Referenced by _read().

WP5VariableLengthGroup * WP5VariableLengthGroup::constructVariableLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | group
| ) |  |
| static

Referenced by WP5Part::constructPart().

unsigned short WP5VariableLengthGroup::getSize | ( |  | ) | const
| inline protected

Referenced by WP5HeaderFooterGroup::_readContents(), WP5FontGroup::_readContents(), WP5PageFormatGroup::_readContents(), WP5FootnoteEndnoteGroup::_readContents(), and WP5DefinitionGroup::_readContents().

unsigned char WP5VariableLengthGroup::getSubGroup | ( |  | ) | const
| inline protected

Referenced by WP5TableEOLGroup::_readContents(), WP5TableEOPGroup::_readContents(), WP5FontGroup::_readContents(), WP5BoxGroup::_readContents(), WP5PageFormatGroup::_readContents(), WP5FootnoteEndnoteGroup::_readContents(), WP5DefinitionGroup::_readContents(), WP5FontGroup::parse(), WP5BoxGroup::parse(), WP5HeaderFooterGroup::parse(), WP5TableEOPGroup::parse(), WP5TableEOLGroup::parse(), WP5FootnoteEndnoteGroup::parse(), WP5PageFormatGroup::parse(), and WP5DefinitionGroup::parse().

bool WP5VariableLengthGroup::isGroupConsistent | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | group
| ) |  |
| static

Referenced by WP5Part::constructPart().

## Member Data Documentation

unsigned short WP5VariableLengthGroup::m_size
| private

Referenced by _read(), and getSize().

unsigned char WP5VariableLengthGroup::m_subGroup
| private

Referenced by _read(), and getSubGroup().

The documentation for this class was generated from the following files:

- WP5VariableLengthGroup.h
- WP5VariableLengthGroup.cpp